com.thinkaurelius.titan.graphdb.types

## Enum ParameterType

- java.lang.Object
- - java.lang.Enum<ParameterType>
  - - com.thinkaurelius.titan.graphdb.types.ParameterType

- All Implemented Interfaces:
    Serializable, Comparable<ParameterType>

      public enum ParameterType
      extends Enum<ParameterType>

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INDEX_POSITION`
    `MAPPED_NAME`
    `MAPPING`
    `STATUS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<V> V` | `findParameter(Parameter[] parameters, V defaultValue)`
    `String` | `getName()`
    `<V> Parameter<V>` | `getParameter(V value)`
    `String` | `toString()`
    `static ParameterType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ParameterType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MAPPING

          public static final ParameterType MAPPING

    - #### INDEX_POSITION

          public static final ParameterType INDEX_POSITION

    - #### MAPPED_NAME

          public static final ParameterType MAPPED_NAME

    - #### STATUS

          public static final ParameterType STATUS

  - ### Method Detail

    - #### values

          public static ParameterType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ParameterType c : ParameterType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ParameterType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ParameterType>`

    - #### getName

          public String getName()

    - #### findParameter

          public <V> V findParameter(Parameter[] parameters,
                            V defaultValue)

    - #### getParameter

          public <V> Parameter<V> getParameter(V value)

Copyright © 2012–2014. All rights reserved.